# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 20160516122649) do

  create_table "social_framework_edges", force: :cascade do |t|
    t.integer  "origin_id",                     null: false
    t.integer  "destiny_id",                    null: false
    t.string   "label",                         null: false
    t.boolean  "bidirectional", default: true,  null: false
    t.boolean  "active",        default: false, null: false
    t.datetime "created_at",                    null: false
    t.datetime "updated_at",                    null: false
  end

  add_index "social_framework_edges", ["destiny_id"], name: "index_social_framework_edges_on_destiny_id"
  add_index "social_framework_edges", ["origin_id"], name: "index_social_framework_edges_on_origin_id"

  create_table "social_framework_events", force: :cascade do |t|
    t.string   "title",                       null: false
    t.string   "description"
    t.datetime "start"
    t.datetime "finish"
    t.boolean  "particular",  default: false
    t.integer  "route_id"
    t.datetime "created_at",                  null: false
    t.datetime "updated_at",                  null: false
  end

  create_table "social_framework_events_schedules", force: :cascade do |t|
    t.integer "schedule_id", null: false
    t.integer "event_id",    null: false
  end

  add_index "social_framework_events_schedules", ["event_id"], name: "index_social_framework_events_schedules_on_event_id"
  add_index "social_framework_events_schedules", ["schedule_id"], name: "index_social_framework_events_schedules_on_schedule_id"

  create_table "social_framework_locations", force: :cascade do |t|
    t.integer  "route_id",                             null: false
    t.decimal  "latitude",   precision: 18, scale: 15, null: false
    t.decimal  "longitude",  precision: 18, scale: 15, null: false
    t.datetime "created_at",                           null: false
    t.datetime "updated_at",                           null: false
  end

  create_table "social_framework_participant_events", force: :cascade do |t|
    t.integer "event_id",                            null: false
    t.integer "schedule_id",                         null: false
    t.boolean "confirmed",   default: false
    t.string  "role",        default: "participant"
  end

  add_index "social_framework_participant_events", ["event_id"], name: "index_social_framework_participant_events_on_event_id"
  add_index "social_framework_participant_events", ["schedule_id", "event_id"], name: "participant_event", unique: true
  add_index "social_framework_participant_events", ["schedule_id"], name: "index_social_framework_participant_events_on_schedule_id"

  create_table "social_framework_routes", force: :cascade do |t|
    t.string   "title",                                  null: false
    t.integer  "distance",                               null: false
    t.integer  "accepted_deviation", default: 0,         null: false
    t.string   "mode_of_travel",     default: "driving", null: false
    t.datetime "created_at",                             null: false
    t.datetime "updated_at",                             null: false
  end

  create_table "social_framework_routes_users", force: :cascade do |t|
    t.integer "user_id",  null: false
    t.integer "route_id", null: false
  end

  add_index "social_framework_routes_users", ["route_id"], name: "index_social_framework_routes_users_on_route_id"
  add_index "social_framework_routes_users", ["user_id", "route_id"], name: "index_social_framework_routes_users_on_user_id_and_route_id", unique: true
  add_index "social_framework_routes_users", ["user_id"], name: "index_social_framework_routes_users_on_user_id"

  create_table "social_framework_schedules", force: :cascade do |t|
    t.integer  "user_id",    null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  add_index "social_framework_schedules", ["user_id"], name: "index_social_framework_schedules_on_user_id", unique: true

  create_table "social_framework_users", force: :cascade do |t|
    t.string   "username",                           null: false
    t.string   "email",                              null: false
    t.string   "encrypted_password",                 null: false
    t.string   "reset_password_token"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.integer  "sign_in_count",          default: 0, null: false
    t.datetime "current_sign_in_at"
    t.datetime "last_sign_in_at"
    t.string   "current_sign_in_ip"
    t.string   "last_sign_in_ip"
    t.datetime "created_at",                         null: false
    t.datetime "updated_at",                         null: false
  end

  add_index "social_framework_users", ["email"], name: "index_social_framework_users_on_email", unique: true
  add_index "social_framework_users", ["reset_password_token"], name: "index_social_framework_users_on_reset_password_token", unique: true
  add_index "social_framework_users", ["username"], name: "index_social_framework_users_on_username", unique: true

end
